Package org.springframework.web.cors.reactive

# Interface CorsConfigurationSource

All Known Implementing Classes:
  `UrlBasedCorsConfigurationSource`

public interface CorsConfigurationSource
Interface to be implemented by classes (usually HTTP request handlers) that provides a `CorsConfiguration` instance based on the provided reactive request.

Since:
  5.0
Author:
  Sebastien Deleuze

## Method Summary

Modifier and Type
Method
Description
`CorsConfiguration`
`getCorsConfiguration(ServerWebExchange exchange)`
Return a `CorsConfiguration` based on the incoming request.

## Method Details

### getCorsConfiguration

@Nullable CorsConfiguration getCorsConfiguration(ServerWebExchange exchange)
Return a `CorsConfiguration` based on the incoming request.

Returns:
  the associated `CorsConfiguration`, or `null` if none